SparrowDesk
Notes

Create a contact note

POST
/contacts/{contactId}/notes
AuthorizationBearer <token>

In: header

Path Parameters

contactIdinteger
title?string
descriptionstring
attachments?
Itemsitems <= 20

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://app.sparrowdesk.com/v1/contacts/0/notes" \  -H "Content-Type: application/json" \  -d '{    "description": "string"  }'
{
  "data": {
    "id": 1837,
    "contact_id": 8821,
    "company_id": null,
    "title": "Renewal call",
    "description": "Wants the annual plan. Sending the contract.",
    "source": "api",
    "attachments": [
      {
        "id": 904,
        "url": "https://attachments.sparrowdesk.com/helpdesk-application/production/6f1c/note-attachments/contract.pdf",
        "file_name": "contract.pdf",
        "content_type": "application/pdf",
        "size": 20481,
        "status": "READY"
      }
    ],
    "created_by": {
      "id": 42,
      "name": "John Doe",
      "email": "[email protected]"
    },
    "last_updated_by": {
      "id": 57,
      "name": "Jane Doe",
      "email": "[email protected]"
    },
    "created_at": 1758537600,
    "updated_at": 1758537600
  }
}
{
  "error": {
    "message": "Description must not exceed 10000 characters"
  }
}
{
  "error": {
    "message": "Contact not found"
  }
}
{
  "error": {
    "message": "Required"
  }
}
{
  "error": {
    "message": "Internal server error"
  }
}